[% USE Dumper %]
[% USE JSON %]

<div class="block ztb">
    <div class="block-header ztb-header clearfix">
        [% IF(zaaktype_id) %]
            <div class="block-header-title">[% params.node.titel %] -  
            [% ELSE %]
                Zaaktype aanmaken
            [% END %]
                <span>Publiceren</span>
            </div>
    </div>

    [% components = "['" _ commit_components.join("','") _ "']" %]

    <div class="block-content"
        data-ng-controller="nl.mintlab.admin.casetype.PublicationStatusController"
        data-ng-init="casetypeId='[% zaaktype_id %]';commitMessage='[% commit_message | html_entity %]';commitComponents=[% components %];">

        <ul class="casetype-status-list casetype-children-list" id="publish_casetype_[% publish_casetype.casetype.id %]">
            <li class="casetype-status-list-item casetype-children-list-item" data-ng-repeat="casetype in casetypes" data-ng-class="{'casetype-status-list-item-finished': isCasetypeFinished(casetype) }">
                <div class="casetype-status-list-item-status">
                </div>
                <div class="casetype-status-list-item-title casetype-children-list-item-title">
                    <[casetype.casetype.title]>
                </div>
            </li>
        </ul>
        <div class="form-actions form-actions-sticky clearfix">
            <button type="button" class="button button-primary right" id="ok_button" value="Verder" data-ng-disabled="!isAllFinished()" data-ng-click="progress()">
                Verder
            </button>
        </div>
        <script type="text/zs-scope-data">
            {
                "casetypes": [% JSON.encode(publish_queue) %]
            }
        </script>
    </div>
</div>
